SystemOrganization addCategory: #'DrGeoII-Etoys'!

!DrGValueMorph class methodsFor: '*DrGeoII-Etoys-flexiblevocabularies-scripting' stamp: 'HilaireFernandes 11/1/2009 10:21'!
additionsToViewerCategoryDrGeo
	^ #(drgeo (
(slot value 'The math item value' Number readWrite Player getMathItemValue Player setMathItemValue:)
)) ! !

!DrGValueMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 2/13/2006 10:38'!
getMathItemValue
	^costume getMathItemValue! !

!DrGValueMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'jlrr 11/25/2007 16:46'!
setMathItemValue: aValue 
	costume setMathItemValue: aValue! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 1/26/2008 11:28'!
getCurveAbscissa
	(mathItem respondsTo: #abscissa)
		ifTrue: [^ mathItem exist
				ifTrue: [mathItem abscissa]
				ifFalse: [nil]]
		ifFalse: [^ nil]! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 11:01'!
getWorldX
	^mathItem point x! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 11:01'!
getWorldY
	^mathItem point y! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 5/13/2010 10:49'!
setCurveAbscissa: aFloat 
	(mathItem respondsTo: #abscissa:)
		ifTrue: [mathItem setCurveAbscissa: aFloat.
			self domain updateAllMathItems]! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 5/13/2010 10:48'!
setWorldX: aFloat
	self domain
		moveEvent: mathItem
		at: aFloat @ mathItem point y
! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 5/13/2010 10:49'!
setWorldY: aFloat
	self domain
		moveEvent: mathItem
		at: mathItem point x @ aFloat
! !

!DrGPointMorph class methodsFor: '*DrGeoII-Etoys-flexiblevocabularies-scripting' stamp: 'HilaireFernandes 11/1/2009 10:23'!
additionsToViewerCategoryDrGeo
^ # (drgeo (
(slot curveAbscissa 'The abscissa of this point on the curve' Number readWrite Player getCurveAbscissa Player setCurveAbscissa:)
(slot Xw 'The x coordinate in the DrGeoII world coordinate system' Number readWrite Player getWorldX Player setWorldX:) 
(slot Yw 'The y coordinate in the DrGeoII world coordinate system' Number readWrite Player getWorldY Player setWorldY:)
))! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 2/13/2006 10:32'!
getCurveAbscissa
	^costume getCurveAbscissa! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 10:56'!
getWorldX
	^costume getWorldX! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 10:56'!
getWorldY
	^costume getWorldY! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 2/13/2006 10:33'!
setCurveAbscissa: aFloat
	costume setCurveAbscissa: aFloat! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 10:56'!
setWorldX: aFloat
	costume setWorldX: aFloat! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 10:55'!
setWorldY: aFloat
	costume setWorldY: aFloat! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/25/2006 19:24'!
x: aNumber
| oldPosition newX |
	newX := costume drawable morphAbscissaToWorld: 
		(self referencePlayfield cartesianOrigin x + aNumber).
	oldPosition := costume mathItem point.
	costume drawable view domain 
		moveEvent: costume mathItem 
		at: newX@oldPosition y! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 4/19/2010 13:08'!
y: aNumber
| oldPosition newY|
	newY := costume drawable morphOrdinateToWorld: 
		(self referencePlayfield cartesianOrigin y - aNumber + 0).
	oldPosition := costume mathItem point.
	costume drawable app domain 
		moveEvent: costume mathItem 
		at: oldPosition x @ newY! !

BorderedMorph subclass: #DrGService
	instanceVariableNames: 'app area'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DrGeoII-Etoys'!

!DrGService class methodsFor: 'parts bin' stamp: 'HilaireFernandes 5/13/2010 20:38'!
descriptionForPartsBin
	^ (DescriptionForPartsBin
		formalName: 'Dr. Geo'
		categoryList: #('Graphics' 'Tools' )
		documentation: 'An interactive geometry canvas to draw dynamic geometric sketch. Open the Morph menu to get access to the construction tools and more.' translated
		globalReceiverSymbol: #DrGeo
		nativitySelector: #sample)
		sampleImageForm: DrGIcons angle! !

!DrGService class methodsFor: 'instance creation' stamp: 'HilaireFernandes 4/19/2010 21:55'!
in: aDrgeo
	^ self basicNew app: aDrgeo;
		initialize! !

!DrGService class methodsFor: 'instance creation' stamp: 'HilaireFernandes 6/18/2007 17:09'!
with: aDrgeoModel 
	^ self basicNew initialize: aDrgeoModel! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 4/20/2010 07:54'!
addCustomMenuItems: menu hand: aHandMorph 
	"super addCustomMenuItems: menu hand: aHandMorph."
	| submenu |
	menu addLine.
	submenu := MenuMorph new.
	self addToolsMenuItems: submenu hand: aHandMorph.
	menu add: 'Dr. Geo tools' translated subMenu: submenu.
	submenu := MenuMorph new.
	self addGetButtonsMenuItems: submenu hand: aHandMorph.
	menu add: 'Give me Dr. Geo buttons' translated subMenu: submenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 4/20/2010 07:54'!
addGetButtonsMenuItems: menu hand: aHandMorph 
	"from this menu we can ask for buttons to plug arround"
	self addPointBtnMenuItems: menu hand: aHandMorph.
	self addLineBtnMenuItems: menu hand: aHandMorph.
	self addTransformationBtnMenuItems: menu hand: aHandMorph.
	self addNumericBtnMenuItems: menu hand: aHandMorph.
	self addMacroBtnMenuItems: menu hand: aHandMorph.
	self addOtherBtnMenuItems: menu hand: aHandMorph.! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:39'!
addLineBtnMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self add: #lineBtn menuItemBtn: self drgeoPresenter lineButtonData to: subMenu.
	self add: #parallelBtn menuItemBtn: self drgeoPresenter parallelButtonData to: subMenu.
	self add: #perpendicularBtn menuItemBtn: self drgeoPresenter perpendicularButtonData to: subMenu.
	self add: #rayBtn menuItemBtn: self drgeoPresenter rayButtonData to: subMenu.
	self add: #segmentBtn menuItemBtn: self drgeoPresenter segmentButtonData to: subMenu.
	self add: #vectorBtn menuItemBtn: self drgeoPresenter vectorButtonData to: subMenu.
	self add: #circleBtn menuItemBtn: self drgeoPresenter circleButtonData to: subMenu.
	self add: #arcBtn menuItemBtn: self drgeoPresenter arcButtonData to: subMenu.	
	self add: #polygonBtn menuItemBtn: self drgeoPresenter polygonButtonData to: subMenu.	
	self add: #locusBtn menuItemBtn: self drgeoPresenter locusButtonData to: subMenu.
	menu add: ('Curves' translated) subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:39'!
addLineMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self addMenuItem: self drgeoPresenter lineButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter parallelButtonData to: 	subMenu.
	self addMenuItem: self drgeoPresenter perpendicularButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter rayButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter segmentButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter vectorButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter circleButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter arcButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter polygonButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter locusButtonData to: subMenu.
	menu add: 'Curves' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:39'!
addMacroBtnMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self add: #macroBuildBtn menuItemBtn: self drgeoPresenter macroBuildButtonData to: subMenu.
	self add: #executeBtn menuItemBtn: self drgeoPresenter macroExecuteButtonData to: subMenu.
	menu add: 'Macro-construction' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:40'!
addMacroMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self addMenuItem: self drgeoPresenter macroBuildButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter macroExecuteButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter macroDeleteButtonData to: subMenu.
	menu add: 'Macro-construction' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:40'!
addMenuItem: array to: menu
	menu 
		add: array first translated
		target: self drgeoPresenter
		selector: array third.
	menu lastItem
		setBalloonText: array fourth translated 
		! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:40'!
addNumericBtnMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self add: #distanceBtn menuItemBtn: self drgeoPresenter distanceButtonData to: subMenu.
	self add: #angleBtn menuItemBtn: self drgeoPresenter angleButtonData to: subMenu.
	self add: #coordinatesBtn menuItemBtn: self drgeoPresenter coordinatesButtonData to: subMenu.
	self add: #scriptBtn menuItemBtn: self drgeoPresenter scriptButtonData to: subMenu.
	self add: #scriptEditBtn menuItemBtn: self drgeoPresenter scriptEditButtonData to: subMenu.
	menu add: 'Numerics' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:40'!
addNumericMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self addMenuItem: self drgeoPresenter distanceButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter angleButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter coordinatesButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter scriptEditButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter scriptButtonData to: subMenu.
	menu add: 'Numerics' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:40'!
addOtherBtnMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self add: #undoBtn menuItemBtn: self drgeoPresenter undoButtonData to: subMenu.
	self add: #redoBtn menuItemBtn: self drgeoPresenter redoButtonData to: subMenu.
	self add: #eraserBtn menuItemBtn: self drgeoPresenter eraserButtonData to: subMenu.
	self add: #styleBtn menuItemBtn: self drgeoPresenter styleButtonData to: subMenu.
	self add: #propertyBtn menuItemBtn: self drgeoPresenter propertyButtonData to: subMenu.
	self add: #moveBtn menuItemBtn: self drgeoPresenter moveButtonData to: subMenu.		
	self add: #gridBtn menuItemBtn: self drgeoPresenter gridButtonData to: subMenu.
	self add: #gridStuckBtn menuItemBtn: self drgeoPresenter gridStuckButtonData to: subMenu.
	self add: #viewerBtn menuItemBtn: self drgeoPresenter viewerButtonData to: subMenu.
	menu add: 'Other' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:41'!
addOtherMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self addMenuItem: self drgeoPresenter undoButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter redoButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter eraserButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter styleButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter propertyButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter moveButtonData to: subMenu.
	subMenu 
		addUpdating: #gridString
		target: self drgeoPresenter
		selector: #gridOnOff
		argumentList: #();
		
		addUpdating: #griddedString
		target: self drgeoPresenter
		selector: #gridStuckOnOff
		argumentList: #().
	self addMenuItem: self drgeoPresenter viewerButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter multipleModeButtonData to: subMenu.
	subMenu 		
		addUpdating: #createMultipleString
		target: self drgeoPresenter
		selector: #createMultipleOnOff
		argumentList: #();
		
		add: 'default position and scale' translated
		target: self area
		selector: #defaultScalePosition.
	menu add: 'Other' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:41'!
addPointBtnMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self add: #freePointBtn menuItemBtn: self drgeoPresenter freePointButtonData to: subMenu.
	self add: #middlePointBtn menuItemBtn: self drgeoPresenter middleButtonData to: subMenu.	
	self add: #pointByCoordinatesBtn menuItemBtn: self drgeoPresenter pointByCoordinatesButtonData to: subMenu.
	menu add: 'Points' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:41'!
addPointMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self addMenuItem: self drgeoPresenter freePointButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter middleButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter pointByCoordinatesButtonData to: subMenu.
	menu add: 'Points' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 4/20/2010 07:55'!
addToolsMenuItems: menu hand: aHandMorph 
	self addPointMenuItems: menu hand: aHandMorph.
	self addLineMenuItems: menu hand: aHandMorph.
	self addTransformationMenuItems: menu hand: aHandMorph.
	self addNumericMenuItems: menu hand: aHandMorph.
	self addMacroMenuItems: menu hand: aHandMorph.
	self addOtherMenuItems: menu hand: aHandMorph! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:41'!
addTransformationBtnMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self add: #symmetryBtn menuItemBtn: self drgeoPresenter symmetryButtonData to: subMenu.
	self add: #reflectionBtn menuItemBtn: self drgeoPresenter reflectionButtonData to: subMenu.
	self add: #translationBtn menuItemBtn: self drgeoPresenter translationButtonData to: subMenu.
	self add: #rotationBtn menuItemBtn: self drgeoPresenter rotationButtonData to: subMenu.
	self add: #homothetyBtn menuItemBtn: self drgeoPresenter homothetyButtonData to: subMenu.
	menu add: 'Transformations' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 5/13/2010 10:41'!
addTransformationMenuItems: menu hand: aHandMorph 
	| subMenu |
	subMenu := MenuMorph new.
	self addMenuItem: self drgeoPresenter symmetryButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter reflectionButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter translationButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter rotationButtonData to: subMenu.
	self addMenuItem: self drgeoPresenter homothetyButtonData to: subMenu.
	menu add: 'Transformations' translated subMenu: subMenu! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 4/20/2010 07:54'!
add: btnSelector menuItemBtn: array to: menu
	menu 
		add: array first translated
		target: self
		selector: #giveMeButton:
		argument: btnSelector.
	menu lastItem 
		icon: (DrGIcons scaled16: array second);
		setBalloonText: array fourth translated 
		! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:41'!
angleBtn
	^ self buttonAtHand: self drgeoPresenter angleButtonData ! !

!DrGService methodsFor: 'accessing' stamp: 'HilaireFernandes 4/19/2010 21:33'!
app
	^ app! !

!DrGService methodsFor: 'accessing' stamp: 'HilaireFernandes 4/19/2010 21:33'!
app: anObject
	app := anObject! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:41'!
arcBtn
	^ self buttonAtHand: self drgeoPresenter arcButtonData ! !

!DrGService methodsFor: 'accessing' stamp: 'HilaireFernandes 4/19/2010 21:33'!
area
	^ area! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:41'!
buttonAtHand: array
"
array first = button form
array second = symbol callback
array third = help string
"
	^ IconicButton new
		labelGraphic: (DrGIcons scaled24: array second);
		color: self colorButton;
		setBalloonText: array fourth translated;
		target: self drgeoPresenter;
		actionSelector: array third! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
circleBtn
	^ self buttonAtHand: self drgeoPresenter circleButtonData ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 4/20/2010 07:56'!
colorButton
	^ Color green alpha: 0.2! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
coordinatesBtn
	^ self buttonAtHand: self drgeoPresenter coordinatesButtonData ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
distanceBtn
	^ self buttonAtHand: self drgeoPresenter distanceButtonData ! !

!DrGService methodsFor: 'accessing' stamp: 'HilaireFernandes 5/13/2010 10:38'!
drgeoPresenter
	^ app presenter! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
editGroupBtn
	^ self buttonAtHand: self drgeoPresenter editGroupButtonData ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
eraserBtn
	^ self buttonAtHand: self drgeoPresenter eraserButtonData ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
freePointBtn
	^ self buttonAtHand: self drgeoPresenter freePointButtonData! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 4/20/2010 07:56'!
giveMeButton: aSymbol
	self currentHand attachMorph: (self perform: aSymbol)! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
gridBtn
	^ self buttonAtHand: self drgeoPresenter gridButtonData ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
gridStuckBtn
	^ self buttonAtHand: self drgeoPresenter gridStuckButtonData ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
groupBtn
	^ self buttonAtHand: self drgeoPresenter groupButtonData ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
homothetyBtn
	^ self buttonAtHand: self drgeoPresenter homothetyButtonData  ! !

!DrGService methodsFor: 'initialize-release' stamp: 'HilaireFernandes 4/21/2010 07:51'!
initialize
	super initialize.
	self color: Color veryLightGray muchLighter .
	self borderWidth: 1.
	self clipSubmorphs: true.
	self layoutPolicy: ProportionalLayout new.
	area := DrGDrawable newOn: app.
	self installTools! !

!DrGService methodsFor: 'initialize-release' stamp: 'HilaireFernandes 5/13/2010 10:42'!
installTools 
	self 
		addMorph: area
	 	fullFrame: (LayoutFrame 
			fractions: (0@0 corner: 1@1) 
			offsets: (0@0 corner: -25@ -25)).
	self
		addMorph: self drgeoPresenter verticalWheel
		fullFrame: (LayoutFrame 
			fractions: (1 @ 1 corner: 1 @ 1) 
			offsets: (-25@ -120 corner: 0@ -20)).
	self
		addMorph: self drgeoPresenter horizontalWheel
		fullFrame: (LayoutFrame 
			fractions: (1 @ 1 corner: 1 @ 1) 
			offsets: (-120@ -25 corner: -20@0)).
	self
	 	addMorph: self drgeoPresenter zoomWheel 
		fullFrame: (LayoutFrame 
			fractions: (1 @ 0 corner: 1 @ 0) 
			offsets: (-25@0 corner: 0@100)).
	area layoutChanged! !

!DrGService methodsFor: 'testing' stamp: 'HilaireFernandes 4/19/2010 10:32'!
isApplication
	^false! !

!DrGService methodsFor: 'testing' stamp: 'HilaireFernandes 6/21/2007 14:53'!
isService
	^true! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
lineBtn
	^ self buttonAtHand: self drgeoPresenter lineButtonData  ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
locusBtn
	^ self buttonAtHand: self drgeoPresenter locusButtonData  ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
macroBuildBtn
	^ self buttonAtHand: self drgeoPresenter macroBuildButtonData   ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
macroDeleteBtn
	^ self buttonAtHand: self drgeoPresenter macroDeleteButtonData    ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
macroExecuteBtn
	^ self buttonAtHand: self drgeoPresenter macroExecuteButtonData    ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
middlePointBtn
	^ self buttonAtHand: self drgeoPresenter middleButtonData    ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
moveBtn
	^ self buttonAtHand: self drgeoPresenter moveButtonData     ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
multipleModeBtn          
	^ self buttonAtHand: self drgeoPresenter multipleModeButtonData        ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
parallelBtn
	^ self buttonAtHand: self drgeoPresenter parallelButtonData      ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
perpendicularBtn
	^ self buttonAtHand: self drgeoPresenter parallelButtonData! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
pointByCoordinatesBtn 
	^ self buttonAtHand: self drgeoPresenter pointByCoordinatesButtonData ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
polygonBtn 
	^ self buttonAtHand: self drgeoPresenter polygonButtonData ! !

!DrGService methodsFor: 'menu' stamp: 'HilaireFernandes 4/20/2010 07:55'!
popupMenu
	"super addCustomMenuItems: menu hand: aHandMorph."
	| menu |
	menu := MenuMorph new title: 'Dr. Geo tools' translated.
	self addToolsMenuItems: menu hand: nil.
	menu addStayUpItem.
	menu popUpInWorld: World! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
propertyBtn  
	^ self buttonAtHand: self drgeoPresenter propertyButtonData ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
rayBtn   
	^ self buttonAtHand: self drgeoPresenter rayButtonData! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:42'!
redoBtn    
	^ self buttonAtHand: self drgeoPresenter redoButtonData ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
reflectionBtn     
	^ self buttonAtHand: self drgeoPresenter reflectionButtonData  ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
rotationBtn      
	^ self buttonAtHand: self drgeoPresenter rotationButtonData  ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
scriptBtn      
	^ self buttonAtHand: self drgeoPresenter scriptButtonData   ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
scriptEditBtn      
	^ self buttonAtHand: self drgeoPresenter scriptEditButtonData   ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
segmentBtn      
	^ self buttonAtHand: self drgeoPresenter segmentButtonData    ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
styleBtn      
	^ self buttonAtHand: self drgeoPresenter styleButtonData    ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
symmetryBtn       
	^ self buttonAtHand: self drgeoPresenter symmetryButtonData     ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
translationBtn        
	^ self buttonAtHand: self drgeoPresenter translationButtonData     ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
undoBtn         
	^ self buttonAtHand: self drgeoPresenter undoButtonData      ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
vectorBtn         
	^ self buttonAtHand: self drgeoPresenter vectorButtonData      ! !

!DrGService methodsFor: 'button' stamp: 'HilaireFernandes 5/13/2010 10:43'!
viewerBtn         
	^ self buttonAtHand: self drgeoPresenter viewerButtonData       ! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:08'!
getCurveAbscissa
	^costume getCurveAbscissa! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:09'!
getMathItemValue
	^costume getMathItemValue! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:09'!
getWorldX
	^costume getWorldX! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:10'!
getWorldY
	^costume getWorldY! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:10'!
setCurveAbscissa: aFloat
	costume setCurveAbscissa: aFloat! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:10'!
setMathItemValue: aValue
	^ costume setMathItemValue: aValue! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:10'!
setWorldX: aFloat
	costume setWorldX: aFloat! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:11'!
setWorldY: aFloat
	costume setWorldY: aFloat! !

!DrGValueCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 2/13/2006 10:39'!
getMathItemValue
	^mathItem valueItem! !

!DrGValueCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 1/26/2008 09:15'!
setMathItemValue: aValue 
	| freeValue |
	freeValue := self mathItem.
	freeValue class = DrGFreeValueItem
		ifTrue: [freeValue valueItem: aValue.
			self domain updateAllMathItems .
			self redraw]! !
